package wing.fx.dialog;

import javafx.scene.Node;

import java.util.Optional;

/**
 * @author Mikael Grev, MiG InfoCom AB
 *         Date: 14-06-22
 *         Time: 21:59
 */
public interface DialogContent<R>
{
	default void setDialog(Dialog<R> dialog)
	{
	}

	default boolean shouldClose(Node button, ButtonType type)
	{
		return type != null && type.isClose();
	}

	default boolean shouldApply(Node button, ButtonType type)
	{
		return type != null && type.isApply();
	}

	Optional<R> getResult(ButtonType pressed);

	Node getContentNode();
}
